require 'json'
require 'open-uri'

require 'ow_api/client/profile'
require 'ow_api/interactors/hash_keys_to_snake_case'

module OwApi
  class Client
    include Profile

    BASE_URL = 'https://ow-api.com'

    private

    def get(path)
      URI.parse("#{BASE_URL}/v1/#{path}").read
    end

    def handle_response(response, klass)
      json_response = JSON.parse(response)
      snake_case_response = Interactors::HashKeysToSnakeCase.new.call(json_response)
      klass.new(snake_case_response)
    end
  end
end
