module OwApi
  module Response
    class Base
      attr_reader :attrs
      alias to_h attrs

      class << self
        def attr_reader(*attrs)
          attrs.each do |attr|
            define_method(attr) { @attrs && @attrs[attr.to_s] }
          end
        end
      end

      def initialize(attrs = {})
        @attrs = attrs
      end
    end
  end
end
